<?php

/**
 * @file
 * Definition of the panels collapsible panel style ctools plugin.
 */


/**
 * Implementats hook_panels_style_info().
 */
function panels_collapse_collapsible_panels_styles() {
  return array(
      'title' => t('Collapsible'),
      'description' => t('Make a panel pane collapsible via Title trigger.'),
      'render pane' => 'panels_collapse_collapsible_style_render_pane',
      'pane settings form' => 'panels_collapse_collapsible_style_settings_form',
  );
}

/**
 * Settings form callback.
 */
function panels_collapse_collapsible_style_settings_form($style_settings) {
  $form['collapsed'] = array(
    '#type' => 'select',
    '#title' => t('Startup behaviour'),
    '#options' => array(
      0 => t('Start opened'),
      1 => t('Start collapsed'),
    ),
    '#default_value' => (isset($style_settings['collapsed'])) ? $style_settings['collapsed'] : 'opened',
    '#description' => t('Choose whether the pane should start collapsed or opened.'),
  );

  return $form;
}

/**
 * Render callback.
 *
 * @ingroup themeable
 */
function theme_panels_collapse_collapsible_style_render_pane($content, $pane, $display) {
  $style_settings = $pane->style['settings'];
  $start_settings = $style_settings['collapsed'];

  $pane_content = $content->content;

  if ($content->title) {
    $pane_title = '<h2 class="pane-title">'. $content->title .'</h2>';
    $result = theme('ctools_collapsible', $pane_title, $pane_content, $start_settings);
  }

  else {
    $result = $pane_content;
  }

  return $result;
}
